Save an enrichment workflow
curl --request POST \
--url https://api.instantly.ai/api/v2/ai-agents/lead-finder/enrichment-workflows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Opening line + case study",
"ai_enrichment": {}
}
'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/lead-finder/enrichment-workflows"
payload = {
"name": "Opening line + case study",
"ai_enrichment": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Opening line + case study', ai_enrichment: {}})
};
fetch('https://api.instantly.ai/api/v2/ai-agents/lead-finder/enrichment-workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/ai-agents/lead-finder/enrichment-workflows")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Opening line + case study\",\n \"ai_enrichment\": {}\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/lead-finder/enrichment-workflows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Opening line + case study',
'ai_enrichment' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/lead-finder/enrichment-workflows"
payload := strings.NewReader("{\n \"name\": \"Opening line + case study\",\n \"ai_enrichment\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"workflow": {
"id": "01a034fe-a69c-7684-9d1e-1ebebccc6ff8",
"organization_id": "01a034fe-a69c-7684-9d1e-1ebebccc6ff8",
"name": "Opening line + case study",
"payload": {},
"timestamp_created": "2026-08-24T18:18:19.164Z",
"timestamp_updated": "2026-08-24T18:18:19.164Z"
}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}AI Agent
Save an enrichment workflow
Save an AI-enrichment chain as a named, workspace-wide reusable workflow.
Requires one of the following scopes: ai_agents:create, ai_agents:all, all:create, all:all
POST
/
api
/
v2
/
ai-agents
/
lead-finder
/
enrichment-workflows
Save an enrichment workflow
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Default Response
Show child attributes
Show child attributes
⌘I